TLM-2.0: tlm::tlm_target_socket< BUSWIDTH, TYPES, N, POL > Class Template Reference

# tlm::tlm_target_socket< BUSWIDTH, TYPES, N, POL > Class Template Reference

`#include <tlm_target_socket.h>`

Inheritance diagram for tlm::tlm_target_socket< BUSWIDTH, TYPES, N, POL >:

[legend]
Collaboration diagram for tlm::tlm_target_socket< BUSWIDTH, TYPES, N, POL >:

[legend]

List of all members.

## Public Member Functions
| tlm_target_socket ()
| tlm_target_socket (const char *name)
virtual const char * | kind () const

## Detailed Description

### template<unsigned int BUSWIDTH = 32, typename TYPES = tlm_base_protocol_types, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>
class tlm::tlm_target_socket< BUSWIDTH, TYPES, N, POL >

Definition at line 209 of file tlm_target_socket.h.

## Constructor & Destructor Documentation

template<unsigned int BUSWIDTH = 32, typename TYPES = tlm_base_protocol_types, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

tlm::tlm_target_socket< BUSWIDTH, TYPES, N, POL >::tlm_target_socket | ( |  | ) | `[inline]`

Definition at line 220 of file tlm_target_socket.h.

template<unsigned int BUSWIDTH = 32, typename TYPES = tlm_base_protocol_types, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

tlm::tlm_target_socket< BUSWIDTH, TYPES, N, POL >::tlm_target_socket | ( | const char * | name | ) | `[inline, explicit]`

Definition at line 232 of file tlm_target_socket.h.

## Member Function Documentation

template<unsigned int BUSWIDTH = 32, typename TYPES = tlm_base_protocol_types, int N = 1, sc_core::sc_port_policy POL = sc_core::SC_ONE_OR_MORE_BOUND>

virtual const char* tlm::tlm_target_socket< BUSWIDTH, TYPES, N, POL >::kind | ( |  | ) | const`[inline, virtual]`

Reimplemented from tlm::tlm_base_target_socket< BUSWIDTH, tlm_fw_transport_if< TYPES >, tlm_bw_transport_if< TYPES >, N,POL >.

Definition at line 244 of file tlm_target_socket.h.

The documentation for this class was generated from the following file:

- include/tlm/tlm_h/tlm_sockets/tlm_target_socket.h